# $Revision: 1.26 $, $Date: 2002/10/04 20:29:05 $
%define	servers	--with-postgres=yes --with-oracle=yes --with-mysql=/usr

Summary:	GNOME DB
Summary(pl):	Baza Danych GNOME
Name:		gnome-db
Version:	0.2.96
Release:	5
License:	GPL
Group:		X11/Libraries
Source0:	ftp://ftp.gnome.org/pub/GNOME/stable/sources/%{name}/%{name}-%{version}.tar.bz2
Patch0:		%{name}-omf.patch
URL:		http://www.gnome.org/gnome-db/
BuildRequires:	GConf-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bonobo-devel
BuildRequires:	freetype-devel >= 2.0.0
BuildRequires:	gdk-pixbuf-devel
BuildRequires:	gettext-devel
BuildRequires:	gnome-libs-devel
BuildRequires:	gnome-print-devel
BuildRequires:	intltool
BuildRequires:	libgda-devel
BuildRequires:	libtool
BuildRequires:	oaf-devel
BuildRequires:	perl-devel
BuildRequires:	scrollkeeper
Requires(post,postun):	/sbin/ldconfig
Requires(post,postun):	scrollkeeper
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	libgnome-db0

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man
%define		_omf_dest_dir	%(scrollkeeper-config --omfdir)

%description
Gnome DB is a frontend to the GDA architecture, being developed as
part of the GNOME project. It adds, to the already powerful GDA
architecture, a nice GUI front end for users, as well as a whole set
of software components intended to be reused in other unrelated
applications.

%description -l pl
Dostp do danych dla GNOME.

%package devel
Summary:	GNOME DB Development
Summary(pl):	Pakiet dla programistw GNOME DB.
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}
Requires:	GConf-devel
Requires:	libgda-devel
Obsoletes:	libgnome-db0-devel

%description devel
Gnome Data Access (devel).

%description devel -l pl
Dostp do danych dla GNOME - cz dla programistw.

%package static
Summary:	GNOME DB static libraries
Summary(pl):	Biblioteki statyczne GNOME DB
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
GNOME DB static libraries.

%description static -l pl
Biblioteki statyczne GNOME DB.

%prep
%setup -q
%patch0 -p1

%build
sed -e s/AM_GNOME_GETTEXT/AM_GNU_GETTEXT/ configure.in > configure.in.tmp
mv -f configure.in.tmp configure.in
rm -f missing
%{__libtoolize}
%{__gettextize}
aclocal -I %{_aclocaldir}/gnome
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	Applicationdir=%{_applnkdir}/Office/Databases \
	omf_dest_dir=%{_omf_dest_dir}/%{name}

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
/usr/bin/scrollkeeper-update

%postun
/sbin/ldconfig
/usr/bin/scrollkeeper-update

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/gnomedb-builder
%attr(755,root,root) %{_bindir}/gnomedb-components
%attr(755,root,root) %{_bindir}/gnomedb-fe
%attr(755,root,root) %{_bindir}/gnomedb-mgr
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%attr(755,root,root) %{_libdir}/bonobo/monikers/lib*.so*
%{_datadir}/gnome/ui/*
%{_datadir}/idl/*
%{_datadir}/oaf/*
%{_omf_dest_dir}/%{name}
%{_applnkdir}/Office/Databases/*
%{_pixmapsdir}/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gnomedb-config
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%{_libdir}/bonobo/monikers/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gnome-db.spec,v $
Revision 1.26  2002/10/04 20:29:05  krzak
Release 5
fixed omf files patch

Revision 1.25  2002/08/06 09:55:02  qboosh
- ...and GConf-devel

Revision 1.24  2002/08/06 09:47:39  qboosh
- -devel R: libgda-devel; new %%doc, release 4

Revision 1.23  2002/06/23 20:52:50  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.22  2002/06/23 20:32:26  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.21  2002/05/21 23:13:15  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.20  2002/05/19 00:15:55  qboosh
- added ">= 2.0.0" to BR: freetype-devel; sorted/cleaned BRs where necessary

Revision 1.19  2002/05/17 14:15:03  kloczek
- release 3: fixed omf files install path.

Revision 1.18  2002/04/25 16:26:12  arturs
fixed a small typo

Revision 1.17  2002/03/29 20:44:08  kloczek
- relelase 2.

Revision 1.16  2002/03/24 23:28:18  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.15  2002/03/03 12:00:50  kloczek
- updated to 0.2.96 (bugfixes mainly for postgresql),
- s/xml-i18n-tools/intltool/ in BuildRequires.

Revision 1.14  2002/02/23 02:17:45  kloczek
- adapterized.

Revision 1.13  2002/02/22 23:28:58  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/01/27 02:08:13  kloczek
- updated to 0.2.95 (bugfix release).

Revision 1.11  2002/01/18 14:27:27  kloczek
- updated and rewrited for 0.2.94.

Revision 1.10  2002/01/18 02:13:07  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/11/28 15:33:51  qboosh
- adapterized, removed trash, added pl translations

Revision 1.8  2001/10/03 16:43:45  filon
- cosmetics in requires

Revision 1.7  2001/09/19 13:16:13  ankry
- modified source URL as ftp.gnome.org changed path (%#$%*&)

Revision 1.6  2001/05/02 16:29:03  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.5  2001/02/02 17:50:34  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.4  2000/08/07 23:07:48  baggins
- spec adapterized

* Sun Feb 6 2000 Rodrigo Moya <rmoya@chez.com>
- Added missing executables and libraries
* Sat Jan 29 2000 Rodrigo Moya <rmoya@chez.com>
- Added Oracle and MySQL servers
* Mon Dec 20 1999 Dan Horak <horakd@volny.cz>
- Initial spec file copied from ggv
